/* Light variant */
[data-md-color-scheme="default"][data-md-color-primary="agamemnon-light"] {
  --md-primary-fg-color: #C1E5F5;
  --md-primary-bg-color: #0E2841;
  --md-accent-fg-color: #4EA72E;
  --md-typeset-a-color: #4EA72E;

  --bg-image: url(../img/agamemnon_bg_light.png);
}

/* Dark variant (inherits SLATE automatically ✅) */
[data-md-color-scheme="slate"][data-md-color-primary="agamemnon-dark"] {
  --md-primary-fg-color: #C1E5F5;
  --md-primary-bg-color: #0E2841;
  --md-accent-fg-color: #4EA72E;
  --md-typeset-a-color: #4EA72E;

  --bg-image: url(../img/agamemnon_bg_dark.png);
}

body::before {
    content: ' ';
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: var(--bs-body-bg);
    background: var(--bg-image) no-repeat center center fixed;
    background-size: cover;
    opacity: 0.3;
    will-change: transform;
    z-index: -1;
}
